(function() {
  var bind, emit, escape, parse;

  escape = function(text) {
    return text.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
  };

  parse = function(text) {
    var config, line, m, _i, _len, _ref;
    config = {
      lines: []
    };
    _ref = text.split(/\n/);
    for (_i = 0, _len = _ref.length; _i < _len; _i++) {
      line = _ref[_i];
      if (m = line.match(/^STATION *(.*)/)) {
        config.station = m[1];
        config.lines.push("<span class=station><i>waiting for stations</i></span>");
      } else {
        config.lines.push(escape(line));
      }
    }
    return config;
  };

  emit = function($item, item) {
    var config;
    config = parse(item.text);
    $item.append("<p style=\"background-color:#eee;padding:15px; text-align:center\">\n  " + (config.lines.join('<br>')) + "\n</p>");
    if (config.station) {
      $.getJSON(config.station, function(result) {
        config.stations = result.data.stations;
        $item.find('.station').empty().append("" + config.stations.length + " stations");
        return console.log('stations', config.stations);
      });
    }
    $item.addClass('marker-source');
    return $item.get(0).markerData = function() {
      var s, _i, _len, _ref, _results;
      if (config.stations) {
        _ref = config.stations;
        _results = [];
        for (_i = 0, _len = _ref.length; _i < _len; _i++) {
          s = _ref[_i];
          _results.push({
            lat: s.lat,
            lon: s.lon,
            label: s.name
          });
        }
        return _results;
      } else {
        return [];
      }
    };
  };

  bind = function($item, item) {
    return $item.dblclick(function() {
      return wiki.textEditor($item, item);
    });
  };

  if (typeof window !== "undefined" && window !== null) {
    window.plugins.bikeshare = {
      emit: emit,
      bind: bind
    };
  }

  if (typeof module !== "undefined" && module !== null) {
    module.exports = {
      parse: parse
    };
  }

}).call(this);

//# sourceMappingURL=bikeshare.js.map
